Loading...
Searching...
No Matches
caf::detail::callable_trait< Functor > Struct Template Reference

Defines result_type, arg_types, and fun_type. More...

## Detailed Description

template<class Functor>
struct caf::detail::callable_trait< Functor >

Defines result_type, arg_types, and fun_type.

Functor is (a) a member function pointer, (b) a function, (c) a function pointer, (d) an std::function.

result_type is the result type found in the signature. arg_types are the argument types as `type_list`. fun_type is an std::function with an equivalent signature.

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_traits.hpp